#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    int q;
    cin>>q;
    int b[q];
    int c[q];
    for(int i=0;i<q;i++)
    {
        cin>>b[i]>>c[i];
    }
    int pom;
    for(int i=0;i<q;i++)
    {
        pom=0;
        for(int j=c[i]-1;j>b[i]-1;j--)
        {
            if(a[j-1]>a[j])
            {
                pom++;
            }
            if(pom>1)
            {
                break;
            }
        }
        if(pom>1)
        {
            cout<<"NE"<<"\n";
        }
        else
        {
            cout<<"DA"<<"\n";
        }
    }
    return 0;
}